
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ServerProperties / iVAN</title>

    <meta name="description" content="ServerProperties Spring Boot 其默认是集成web容器的,启动方式由像普通Java程序一样,main函数入口启动.其内置Tomcat容器或Jetty容器,具体由配置来决定(默认Tomcat).当然你也可以将项目打包成war包,放到独立的web容器中(Tomcat.weblogic等等),当然在此之前你要对程序入口做简单调整. 项目构建我们使用Maven或Gradle,这将使项目依赖.jar包管理.以及打包部署变的非常方便. 一.内嵌 Server 配置 Spring Boot将容器内置后,它通过配置文件">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ServerProperties</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Spring Boot 其默认是集成web容器的，启动方式由像普通Java程序一样，main函数入口启动。其内置Tomcat容器或Jetty容器，具体由配置来决定（默认Tomcat）。当然你也可以将项目打包成war包，放到独立的web容器中（Tomcat、weblogic等等），当然在此之前你要对程序入口做简单调整。</p>
<p>项目构建我们使用Maven或Gradle，这将使项目依赖、jar包管理、以及打包部署变的非常方便。</p>
<h3>一、内嵌 Server 配置</h3>
<p>Spring Boot将容器内置后，它通过配置文件的方式类修改相关server配置。 <br />先看一下下面的图，为关于server的配置列项： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMjYxNzMxMzEwNTQ=.jpg"><br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMjYxNzMxNTk0MzY=.jpg"></p>
<p>其中常用的配置只有少数几个，已经用紫色标记起来。红框圈起来的部分，看名称分类就可以明白其作用。 <br />对server的几个常用的配置做个简单说明：</p>
<pre># 项目contextPath，一般在正式发布版本中，我们不配置
<strong>server.context-path</strong>=/myspringboot
# 错误页，指定发生错误时，跳转的URL。请查看BasicErrorController源码便知
server.error.path=/error
# 服务端口
server.port=9090
# session最大超时时间(分钟)，默认为30
server.session-timeout=60
# 该服务绑定IP地址，启动服务器时如本机不是该IP地址则抛出异常启动失败，只有特殊需求的情况下才配置
# server.address=192.168.16.11</pre>
<pre>Tomcat Tomcat为Spring Boot的默认容器，下面是几个常用配置：</pre>
<p><ol>
<li>
<ol>
<li># tomcat最大线程数，默认为200</li>
<li>server.tomcat.max-threads=800</li>
<li># tomcat的URI编码</li>
<li><strong>server.tomcat.uri-encoding=UTF-8 </strong></li>
<li># <strong>存放Tomcat的日志、Dump等文件的临时文件夹，默认为系统的tmp文件夹</strong>（如：C:\Users\Shanhy\AppData\Local\Temp）</li>
<li><strong>server.tomcat.basedir</strong>=H:/springboot-tomcat-tmp</li>
<li># 打开Tomcat的Access日志，并可以设置日志格式的方法：</li>
<li>#server.tomcat.access-log-enabled=true</li>
<li>#server.tomcat.access-log-pattern=</li>
<li># accesslog目录，默认在basedir/logs</li>
<li>#server.tomcat.accesslog.directory=</li>
<li># 日志文件目录</li>
<li>logging.path=H:/springboot-tomcat-tmp</li>
<li># 日志文件名称，默认为spring.log</li>
<li>logging.file=myapp.log  </li>
</ol>
</li>
</ol>

<pre>http://www.cnblogs.com/duyinqiang/p/5696342.html

org.springframework.boot:spring-boot-autoconfigure:1.3.0.M1<strong>spring-boot-autoconfigure-1.3.0.M1.jar</strong>

org.springframework.boot.autoconfigure.web.ServerProperties
</pre>

<pre>/*
 * Copyright 2012-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package<strong> org.springframework.boot.autoconfigure.web</strong>;

import java.io.File;
import java.net.InetAddress;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import javax.validation.constraints.NotNull;

import org.apache.catalina.Context;
import org.apache.catalina.connector.Connector;
import org.apache.catalina.valves.AccessLogValve;
import org.apache.catalina.valves.RemoteIpValve;
import org.apache.coyote.AbstractProtocol;
import org.apache.coyote.ProtocolHandler;
import org.apache.coyote.http11.AbstractHttp11Protocol;
import org.springframework.boot.context.embedded.ConfigurableEmbeddedServletContainer;
import org.springframework.boot.context.embedded.EmbeddedServletContainerCustomizer;
import org.springframework.boot.context.embedded.EmbeddedServletContainerCustomizerBeanPostProcessor;
import org.springframework.boot.context.embedded.EmbeddedServletContainerFactory;
import org.springframework.boot.context.embedded.InitParameterConfiguringServletContextInitializer;
import org.springframework.boot.context.embedded.JspServlet;
import org.springframework.boot.context.embedded.Ssl;
import org.springframework.boot.context.embedded.tomcat.TomcatConnectorCustomizer;
import org.springframework.boot.context.embedded.tomcat.TomcatContextCustomizer;
import org.springframework.boot.context.embedded.tomcat.TomcatEmbeddedServletContainerFactory;
import org.springframework.boot.context.embedded.undertow.UndertowEmbeddedServletContainerFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.core.Ordered;
import org.springframework.util.StringUtils;

/**
 * {@link ConfigurationProperties} for a web server (e.g. port and path settings). Will be
 * used to customize an {@link EmbeddedServletContainerFactory} when an
 * {@link EmbeddedServletContainerCustomizerBeanPostProcessor} is active.
 *
 * @author Dave Syer
 * @author Stephane Nicoll
 * @author Andy Wilkinson
 * @author Ivan Sopov
 * @author Marcos Barbero
 */
@<strong>ConfigurationProperties</strong>(prefix = "<strong>server</strong>", ignoreUnknownFields = false)
public class ServerProperties implements EmbeddedServletContainerCustomizer, Ordered {

   /**
    * Server HTTP port.
    */
   private Integer port;

   /**
    * Network address to which the server should bind to.
    */
   private InetAddress address;

   /**
    * Session timeout in seconds.
    */
   private Integer sessionTimeout;

   /**
    * Context path of the application.
    */
   private String contextPath;

   /**
    * Display name of the application.
    */
   private String displayName = "application";

   @NestedConfigurationProperty
   private Ssl ssl;

   /**
    * Path of the main dispatcher servlet.
    */
   @NotNull
   private String servletPath = "/";

   private final Tomcat tomcat = new Tomcat();

   private final Undertow undertow = new Undertow();

   @NestedConfigurationProperty
   private JspServlet jspServlet;

   /**
    * ServletContext parameters.
    */
   private final Map&lt;String, String&gt; contextParameters = new HashMap&lt;String, String&gt;();

   @Override
   public int getOrder() {
      return 0;
   }

   public Tomcat getTomcat() {
      return this.tomcat;
   }

   public Undertow getUndertow() {
      return this.undertow;
   }

   public String getContextPath() {
      return this.contextPath;
   }

   public void setContextPath(String contextPath) {
      this.contextPath = contextPath;
   }

   public String getDisplayName() {
      return this.displayName;
   }

   public void setDisplayName(String displayName) {
      this.displayName = displayName;
   }

   public String getServletPath() {
      return this.servletPath;
   }

   public String getServletMapping() {
      if (this.servletPath.equals("") || this.servletPath.equals("/")) {
         return "/";
      }
      if (this.servletPath.contains("*")) {
         return this.servletPath;
      }
      if (this.servletPath.endsWith("/")) {
         return this.servletPath + "*";
      }
      return this.servletPath + "/*";
   }

   public String getServletPrefix() {
      String result = this.servletPath;
      if (result.contains("*")) {
         result = result.substring(0, result.indexOf("*"));
      }
      if (result.endsWith("/")) {
         result = result.substring(0, result.length() - 1);
      }
      return result;
   }

   public void setServletPath(String servletPath) {
      this.servletPath = servletPath;
   }

   public Integer getPort() {
      return this.port;
   }

   public void setPort(Integer port) {
      this.port = port;
   }

   public InetAddress getAddress() {
      return this.address;
   }

   public void setAddress(InetAddress address) {
      this.address = address;
   }

   public Integer getSessionTimeout() {
      return this.sessionTimeout;
   }

   public void setSessionTimeout(Integer sessionTimeout) {
      this.sessionTimeout = sessionTimeout;
   }

   public Ssl getSsl() {
      return this.ssl;
   }

   public void setSsl(Ssl ssl) {
      this.ssl = ssl;
   }

   public JspServlet getJspServlet() {
      return this.jspServlet;
   }

   public void setJspServlet(JspServlet jspServlet) {
      this.jspServlet = jspServlet;
   }

   public Map&lt;String, String&gt; getContextParameters() {
      return this.contextParameters;
   }

   public void setLoader(String value) {
      // no op to support Tomcat running as a traditional container (not embedded)
   }

   @Override
   public void customize(ConfigurableEmbeddedServletContainer container) {
      if (getPort() != null) {
         container.setPort(getPort());
      }
      if (getAddress() != null) {
         container.setAddress(getAddress());
      }
      if (getContextPath() != null) {
         container.setContextPath(getContextPath());
      }
      if (getDisplayName() != null) {
         container.setDisplayName(getDisplayName());
      }
      if (getSessionTimeout() != null) {
         container.setSessionTimeout(getSessionTimeout());
      }
      if (getSsl() != null) {
         container.setSsl(getSsl());
      }
      if (getJspServlet() != null) {
         container.setJspServlet(getJspServlet());
      }
      if (container instanceof TomcatEmbeddedServletContainerFactory) {
         getTomcat()
               .customizeTomcat((TomcatEmbeddedServletContainerFactory) container);
      }
      if (container instanceof UndertowEmbeddedServletContainerFactory) {
         getUndertow().customizeUndertow(
               (UndertowEmbeddedServletContainerFactory) container);
      }
      container.addInitializers(new InitParameterConfiguringServletContextInitializer(
            getContextParameters()));
   }

   public String[] getPathsArray(Collection&lt;String&gt; paths) {
      String[] result = new String[paths.size()];
      int i = 0;
      for (String path : paths) {
         result[i++] = getPath(path);
      }
      return result;
   }

   public String[] getPathsArray(String[] paths) {
      String[] result = new String[paths.length];
      int i = 0;
      for (String path : paths) {
         result[i++] = getPath(path);
      }
      return result;
   }

   public String getPath(String path) {
      String prefix = getServletPrefix();
      if (!path.startsWith("/")) {
         path = "/" + path;
      }
      return prefix + path;
   }

   public static class<strong> Tomcat</strong> {

      /**
       * Format pattern for access logs.
       */
      private String accessLogPattern;

      /**
       * Enable access log.
       */
      private boolean accessLogEnabled = false;

      /**
       * Regular expression that matches proxies that are to be trusted.
       */
      private String internalProxies = "10\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}|" // 10/8
            + "192\\.168\\.\\d{1,3}\\.\\d{1,3}|" // 192.168/16
            + "169\\.254\\.\\d{1,3}\\.\\d{1,3}|" // 169.254/16
            + "127\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}|" // 127/8
            + "172\\.1[6-9]{1}\\.\\d{1,3}\\.\\d{1,3}|" // 172.16/12
            + "172\\.2[0-9]{1}\\.\\d{1,3}\\.\\d{1,3}|"
            + "172\\.3[0-1]{1}\\.\\d{1,3}\\.\\d{1,3}";

      /**
       * Header that holds the incoming protocol, usually named "X-Forwarded-Proto".
       * Configured as a RemoteIpValve only if remoteIpHeader is also set.
       */
      private String protocolHeader;

      /**
       * Name of the HTTP header used to override the original port value.
       */
      private String portHeader;

      /**
       * Name of the http header from which the remote ip is extracted. Configured as a
       * RemoteIpValve only if remoteIpHeader is also set.
       */
      private String remoteIpHeader;

      /**
       * Tomcat base directory. If not specified a temporary directory will be used.
       */
      private File basedir;

      /**
       * Delay in seconds between the invocation of backgroundProcess methods.
       */
      private int backgroundProcessorDelay = 30; // seconds

      /**
       * Maximum amount of worker threads.
       */
      private int <strong>maxThreads</strong> = 0; // Number of threads in protocol handler

      /**
       * Maximum size in bytes of the HTTP message header.
       */
      private int maxHttpHeaderSize = 0; // bytes

      /**
       * Character encoding to use to decode the URI.
       */
      private String <strong>uriEncoding</strong>;

      /**
       * Controls response compression. Acceptable values are "off" to disable
       * compression, "on" to enable compression of responses over 2048 bytes, "force"
       * to force response compression, or an integer value to enable compression of
       * responses with content length that is at least that value.
       */
      private String compression = "off";

      /**
       * Comma-separated list of MIME types for which compression is used.
       */
      private String compressableMimeTypes = "text/html,text/xml,text/plain";

      public int getMaxThreads() {
         return this.maxThreads;
      }

      public void setMaxThreads(int maxThreads) {
         this.maxThreads = maxThreads;
      }

      public int getMaxHttpHeaderSize() {
         return this.maxHttpHeaderSize;
      }

      public void setMaxHttpHeaderSize(int maxHttpHeaderSize) {
         this.maxHttpHeaderSize = maxHttpHeaderSize;
      }

      public boolean getAccessLogEnabled() {
         return this.accessLogEnabled;
      }

      public void setAccessLogEnabled(boolean accessLogEnabled) {
         this.accessLogEnabled = accessLogEnabled;
      }

      public int getBackgroundProcessorDelay() {
         return this.backgroundProcessorDelay;
      }

      public void setBackgroundProcessorDelay(int backgroundProcessorDelay) {
         this.backgroundProcessorDelay = backgroundProcessorDelay;
      }

      public File getBasedir() {
         return this.basedir;
      }

      public void setBasedir(File basedir) {
         this.basedir = basedir;
      }

      public String getAccessLogPattern() {
         return this.accessLogPattern;
      }

      public void setAccessLogPattern(String accessLogPattern) {
         this.accessLogPattern = accessLogPattern;
      }

      public String getCompressableMimeTypes() {
         return this.compressableMimeTypes;
      }

      public void setCompressableMimeTypes(String compressableMimeTypes) {
         this.compressableMimeTypes = compressableMimeTypes;
      }

      public String getCompression() {
         return this.compression;
      }

      public void setCompression(String compression) {
         this.compression = compression;
      }

      public String getInternalProxies() {
         return this.internalProxies;
      }

      public void setInternalProxies(String internalProxies) {
         this.internalProxies = internalProxies;
      }

      public String getProtocolHeader() {
         return this.protocolHeader;
      }

      public void setProtocolHeader(String protocolHeader) {
         this.protocolHeader = protocolHeader;
      }

      public String getPortHeader() {
         return this.portHeader;
      }

      public void setPortHeader(String portHeader) {
         this.portHeader = portHeader;
      }

      public String getRemoteIpHeader() {
         return this.remoteIpHeader;
      }

      public void setRemoteIpHeader(String remoteIpHeader) {
         this.remoteIpHeader = remoteIpHeader;
      }

      public String getUriEncoding() {
         return this.uriEncoding;
      }

      public void setUriEncoding(String uriEncoding) {
         this.uriEncoding = uriEncoding;
      }

      void customizeTomcat(TomcatEmbeddedServletContainerFactory factory) {
         if (getBasedir() != null) {
            factory.setBaseDirectory(getBasedir());
         }
         customizeBackgroundProcessorDelay(factory);
         customizeHeaders(factory);
         if (this.maxThreads &gt; 0) {
            customizeMaxThreads(factory);
         }
         if (this.maxHttpHeaderSize &gt; 0) {
            customizeMaxHttpHeaderSize(factory);
         }
         customizeCompression(factory);
         if (this.accessLogEnabled) {
            customizeAccessLog(factory);
         }
         if (getUriEncoding() != null) {
            factory.setUriEncoding(getUriEncoding());
         }
      }

      private void customizeBackgroundProcessorDelay(
            TomcatEmbeddedServletContainerFactory factory) {
         factory.addContextCustomizers(new TomcatContextCustomizer() {

            @Override
            public void customize(Context context) {
               context.setBackgroundProcessorDelay(Tomcat.this.backgroundProcessorDelay);
            }

         });
      }

      private void customizeHeaders(TomcatEmbeddedServletContainerFactory factory) {
         String remoteIpHeader = getRemoteIpHeader();
         String protocolHeader = getProtocolHeader();
         if (StringUtils.hasText(remoteIpHeader)
               || StringUtils.hasText(protocolHeader)) {
            RemoteIpValve valve = new RemoteIpValve();
            valve.setRemoteIpHeader(remoteIpHeader);
            valve.setProtocolHeader(protocolHeader);
            valve.setInternalProxies(getInternalProxies());
            valve.setPortHeader(getPortHeader());
            factory.addContextValves(valve);
         }
      }

      @SuppressWarnings("rawtypes")
      private void customizeMaxThreads(TomcatEmbeddedServletContainerFactory factory) {
         factory.addConnectorCustomizers(new TomcatConnectorCustomizer() {
            @Override
            public void customize(Connector connector) {

               ProtocolHandler handler = connector.getProtocolHandler();
               if (handler instanceof AbstractProtocol) {
                  AbstractProtocol protocol = (AbstractProtocol) handler;
                  protocol.setMaxThreads(Tomcat.this.maxThreads);
               }

            }
         });
      }

      @SuppressWarnings("rawtypes")
      private void customizeMaxHttpHeaderSize(
            TomcatEmbeddedServletContainerFactory factory) {
         factory.addConnectorCustomizers(new TomcatConnectorCustomizer() {

            @Override
            public void customize(Connector connector) {
               ProtocolHandler handler = connector.getProtocolHandler();
               if (handler instanceof AbstractHttp11Protocol) {
                  AbstractHttp11Protocol protocol = (AbstractHttp11Protocol) handler;
                  protocol.setMaxHttpHeaderSize(Tomcat.this.maxHttpHeaderSize);
               }
            }

         });
      }

      private void customizeCompression(TomcatEmbeddedServletContainerFactory factory) {
         factory.addConnectorCustomizers(new TomcatConnectorCustomizer() {

            @Override
            public void customize(Connector connector) {
               ProtocolHandler handler = connector.getProtocolHandler();
               if (handler instanceof AbstractHttp11Protocol) {
                  @SuppressWarnings("rawtypes")
                  AbstractHttp11Protocol protocol = (AbstractHttp11Protocol) handler;
                  protocol.setCompression(coerceCompression(Tomcat.this.compression));
                  protocol.setCompressableMimeTypes(Tomcat.this.compressableMimeTypes);
               }
            }

            private String coerceCompression(String compression) {
               if ("true".equalsIgnoreCase(compression)) {
                  return "on";
               }
               if ("false".equalsIgnoreCase(compression)) {
                  return "off";
               }
               return compression;
            }

         });
      }

      private void customizeAccessLog(TomcatEmbeddedServletContainerFactory factory) {
         AccessLogValve valve = new AccessLogValve();
         String accessLogPattern = getAccessLogPattern();
         valve.setPattern(accessLogPattern == null ? "common" : accessLogPattern);
         valve.setSuffix(".log");
         factory.addContextValves(valve);
      }

   }

   public static class Undertow {

      /**
       * Size of each buffer in bytes.
       */
      private Integer bufferSize;

      /**
       * Number of buffer per region.
       */
      private Integer buffersPerRegion;

      /**
       * Number of I/O threads to create for the worker.
       */
      private Integer ioThreads;

      /**
       * Number of worker threads.
       */
      private Integer workerThreads;

      /**
       * Allocate buffers outside the Java heap.
       */
      private Boolean directBuffers;

      /**
       * Format pattern for access logs.
       */
      private String accessLogPattern = "common";

      /**
       * Enable access log.
       */
      private boolean accessLogEnabled = false;

      /**
       * Undertow access log directory.
       */
      private File accessLogDir = new File("logs");

      public Integer getBufferSize() {
         return this.bufferSize;
      }

      public void setBufferSize(Integer bufferSize) {
         this.bufferSize = bufferSize;
      }

      public Integer getBuffersPerRegion() {
         return this.buffersPerRegion;
      }

      public void setBuffersPerRegion(Integer buffersPerRegion) {
         this.buffersPerRegion = buffersPerRegion;
      }

      public Integer getIoThreads() {
         return this.ioThreads;
      }

      public void setIoThreads(Integer ioThreads) {
         this.ioThreads = ioThreads;
      }

      public Integer getWorkerThreads() {
         return this.workerThreads;
      }

      public void setWorkerThreads(Integer workerThreads) {
         this.workerThreads = workerThreads;
      }

      public Boolean getDirectBuffers() {
         return this.directBuffers;
      }

      public void setDirectBuffers(Boolean directBuffers) {
         this.directBuffers = directBuffers;
      }

      public String getAccessLogPattern() {
         return this.accessLogPattern;
      }

      public void setAccessLogPattern(String accessLogPattern) {
         this.accessLogPattern = accessLogPattern;
      }

      public boolean isAccessLogEnabled() {
         return this.accessLogEnabled;
      }

      public void setAccessLogEnabled(boolean accessLogEnabled) {
         this.accessLogEnabled = accessLogEnabled;
      }

      public File getAccessLogDir() {
         return this.accessLogDir;
      }

      public void setAccessLogDir(File accessLogDir) {
         this.accessLogDir = accessLogDir;
      }

      void customizeUndertow(UndertowEmbeddedServletContainerFactory factory) {
         factory.setBufferSize(this.bufferSize);
         factory.setBuffersPerRegion(this.buffersPerRegion);
         factory.setIoThreads(this.ioThreads);
         factory.setWorkerThreads(this.workerThreads);
         factory.setDirectBuffers(this.directBuffers);
         factory.setAccessLogDirectory(this.accessLogDir);
         factory.setAccessLogPattern(this.accessLogPattern);
         factory.setAccessLogEnabled(this.accessLogEnabled);
      }

   }

}</pre>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:16:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/path/" title="path">path</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/tomcat/" title="tomcat">tomcat</a>, <a href="https://www.iamivan.net/tag/handler/" title="handler">handler</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ServerProperties的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ePVWb.html" rel="bookmark">Spring Boot特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. SpringApplication SpringApplication 类是启动 Spring Boot 应用的入口类,你可以创建一个包含 main() 方法的类,来运行 SpringApplication.run 这个静态方法: public static void main(String[] args) { SpringApplication.run(MySpringConfiguration.class, args); } 运行该类会有如下输出: . ____ _ __ _ _ /\			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJqo3p.html" rel="bookmark">Spring Boot自动配置源码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SpringBoot初始化上下文环境 SpringBoot会从META-INF/spring.factories文件中加载Initializers,Auto Configure Initializers用于加载配置(Environment) Auto Configure用于自动配置类 如果是web类型的工程,SpringBoot会创建EmbeddedWebApplicationContext上下文 -&gt; 使用createEmbeddedServletContainer方法创建内嵌的servlet			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7eojM.html" rel="bookmark">深入学习微框架：Spring Boot</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring Boot是由Pivotal团队提供的全新框架,其设计目的是用来简化新Spring应用的初始搭建以 及开发过程.该框架使用了特定的方式来进行配置,从而使开发人员不再需要定义样板化的配置.通过这种方式,Boot致力于在蓬勃发展的快速应用开发领域(rapid application development)成为领导者. 多年以来,Spring IO平台饱受非议的一点就是大量的XML配置以及复杂的依赖管理.在去年的SpringOne 2GX会议上,Pivotal的CTO Adrian Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmd5Az.html" rel="bookmark">Spring Boot 项目构建 之 使用 Spring Boot 构建应用（Building an Application with Spring Boot）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Table of contents What you'll build What you'll need How to complete this guide Build with Gradle Build with Maven Build with Spring Tool Suite Learn what you can do with Spring Boot Create a simple web application Create an Application class Run the			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwg2jM.html" rel="bookmark">Spring boot 通用配置文件模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring boot 通用配置文件模板   001 # ===================================================================002 # COMMON SPRING BOOT PROPERTIES003 #004 # This sample file is provided as a guideline. Do NOT copy it in its005 # entirety to your own application.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOljXQb.html" rel="bookmark">Java RESTful Web Service实战（第2版）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java核心技术系列 Java RESTful Web Service实战 (第2版) 韩陆 著 图书在版编目(CIP)数据 Java RESTful Web Service实战 / 韩陆著. -2版. -北京:机械工业出版社,2016.7 (Java核心技术系列) ISBN 978-7-111-54213-1 Ⅰ. J-   Ⅱ. 韩-   Ⅲ. JAVA语言-程序设计   Ⅳ. TP312 中国版本图书馆CIP数据核字(2016)第156331号 Java RESTful Web Servi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwPVjp.html" rel="bookmark">使用Spring Boot和Gradle创建AngularJS项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring Boot 是由 Pivotal 团队提供的全新框架,其设计目的是用来简化新 Spring 应用的初始搭建以及开发过程.该框架使用了特定的方式来进行配置,从而使开发人员不再需要定义样板化的配置. 本文主要是记录使用 Spring Boot 和 Gradle 创建项目的过程,其中会包括 Spring Boot 的安装及使用方法,希望通过这篇文章能够快速搭建一个项目. 1. 开发环境 操作系统: mac JDK:1.7.0_60 Gradle:2.2.1 IDE:Idea 2. 创建项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm68Nlz.html" rel="bookmark">Java RESTful Web Service实战（第2版） 1&period;6　快速了解Java REST服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 快速了解Java REST服务 1.6.1 REST工程类型 在REST服务中,资源类是接收REST请求并完成响应的核心类,而资源类是由REST服务的&quot;提供者&quot;来调度的.这一概念类似其他框架中自定义的Servlet类,该类会将请求分派给指定的Controller/Action类来处理.本节将讲述REST中的这个提供者,即JAX-RS2中定义的Application以及Servlet. Application类在JAX-RS2(JSR339,详见参考资料)标准中定义为javax.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlX6Ep.html" rel="bookmark">SpringBoot笔记一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 开始 1.1 spring介绍 Spring Boot使开发独立的,产品级别的基于Spring的应用变得非常简单,你只需&quot;just run&quot;. 我们为Spring平台及第三方库提供开箱即用的设置,这样你就可以有条不紊地开始.多数Spring Boot应用需要很少的Spring配置. 你可以使用Spring Boot创建Java应用,并使用java -jar启动它或采用传统的war部署方式. 1.2 系统要求 默认情况下,Spring Boot 1.3.0.BUILD-SNAPSHO			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvK45p.html" rel="bookmark" class="title">使用Velocity实现客户端和服务器端模板</a>
					<div>
						在 HTML 或者 XML 这样的标准表示或交换格式中,文本性数据的操作和转换是一种频繁而且通常非常单调的活动,每个开发人员都会遇到.模板引擎可以改善这个过程,它在模板中保留输出中的静态部分,而动态生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5XVnM.html" rel="bookmark" class="title">ASP&period;NET 2&period;0移动开发入门之使用样式</a>
					<div>
						asp.net 每个ASP.NET移动控件都提供了若干样式属性,使用这些属性可以自定义控件的呈现方式.当然你也可以使用StyleSheet控件来定义样式信息,然后在同一个页面的不同控件上应用Style ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b35xAp.html" rel="bookmark" class="title">用排序串字段实现树状结构（存储过程）</a>
					<div>
						存储过程|排序 加贴存储过程:if exists (select * from sysobjects where id = object_id(&quot;lybsave&quot;))   drop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPj8Zb.html" rel="bookmark" class="title">php调用存储过程返回结果集</a>
					<div>
						php调用存储过程返回结果集,解决can't return a result set in the given context错误的方法需要php调用存储过程,返回一个结果集,发现很困难,找了半天,终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7wn8M.html" rel="bookmark" class="title">部署Exchange 2010的先决条件</a>
					<div>
						先决条件 加域 查看本栏目更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Servers/Mail/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKxGap.html" rel="bookmark" class="title">用NAnt编译带有资源文件（&ast;&period;resx&comma;&ast;&period;bmp&comma;&ast;&period;gif等）的C&num;项目</a>
					<div>
						情况一:如何编译支持多语言切换的项目 &lt;!-- 转换资源文件的格式(编译资源文件的必要步骤) --&gt; &lt;resgen input=&quot;ResourceText.resx&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKPyvp.html" rel="bookmark" class="title">QQ浏览器卸载的四种方法</a>
					<div>
						  很多用户都在使用QQ浏览器,不过用了一段时间后,可能不太满意想卸载.那么, QQ浏览器怎么卸载呢?故此小编为大家带来了四种卸载方法,需要的用户赶快试试吧啊! 方法一:利用360卸载 1.找到QQ浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4QL8p.html" rel="bookmark" class="title">搜狗浏览器接收不到飞传发送的文件和网址怎么办</a>
					<div>
						  搜狗浏览器的飞传功能十分方便,用户们可以使用飞传这个功能,直接进行电脑与手机的对接.但是,在使用过程中,经常会出现接收不到飞传发送的文件/网址,那么,该怎么办? 搜狗浏览器接收不到飞传发送的文件和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72ADXp.html" rel="bookmark" class="title">win7系统开机时桌面图标出来很慢怎么办</a>
					<div>
						  在电脑操作系统里面有一块图标缓存区域,这个主要的作用就是保存那些已经生成好的快捷图标,如果系统运行之后就会从这些环村里面读取图标.不过如果桌面上面的图表太多的话就会造成系统反应缓慢,可是如果不想删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZoYqz.html" rel="bookmark" class="title">qq音乐2015&amp;amp&semi;&num;8203&semi;怎么取消下载流量提醒</a>
					<div>
						  1.进入手机QQ音乐,选择右下角的更多. 2.在这里进入设置. 3.接着选择2G/3G下载提醒. 4.进入到这里选择关闭. 5.完成关闭之后,在2G 和3G连接的状态下,下载歌曲就不会再弹出提醒啦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5omaab.html" rel="bookmark" class="title">如何修改 iCal 新建事件默认长度</a>
					<div>
						  在 iCal 应用里新建事件会给予 1 小时的默认长度,但是你可以通过终端(Terminal)命令按个人的日常使用需求修改这个默认值. 打开终端(Terminal)应用,输入下面的命令: defa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJdynp.html" rel="bookmark" class="title">开关电脑次数对电脑主机寿命的影响</a>
					<div>
						  开关电脑主机对电脑寿命有哪些影响? 在开关机的时候会对主机造成一定的冲击,特别是对硬盘的损伤,因此不能频繁的做开机关机动作,开关机应间隔片刻时间,有资料说一分钟为好,非法关机例如停电伤害就更大了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQy9Ap.html" rel="bookmark" class="title">ssh声明式事物管理-SSH声明式事物管理不起作用为什么</a>
					<div>
						问题描述 SSH声明式事物管理不起作用为什么 在线求教 各位前辈帮我看一下我的声明式事物管理那里出错了,为什么不起作用 com/transaction/pojo/Role.hbm.xml &lt;/l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw2vyM.html" rel="bookmark" class="title">tomcat-响应的set-cookie头 ，无法写入cookie</a>
					<div>
						问题描述 响应的set-cookie头 ,无法写入cookie 大家好,有个问题想请教下,项目为html+ajax构建 tomcat会将JSESSIONID放在响应头的Set-cookie属性里,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl02Rb.html" rel="bookmark" class="title">解析如何运用百科类站点推广网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站推广的方法很多,软文推广.博客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2OaGb.html" rel="bookmark" class="title">在android系统执行ota升级后，能否将自动重启改为手动重启</a>
					<div>
						问题描述 在android系统执行ota升级后,能否将自动重启改为手动重启 在android系统执行ota升级后,能否将自动重启改为手动重启,如何修改bootable/recovery中的代码:在应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRWN2b.html" rel="bookmark" class="title">C&num;调用c的dll</a>
					<div>
						问题描述 typedefvoid*HSE;longSEH_InitialSession(HSE*hSE)在C#中应该怎么处理 解决方案 解决方案二:IntPtr解决方案三:typedefvoid*HS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY7ymp.html" rel="bookmark" class="title">求指教，多处看不懂，最好能全部注释，谢谢！！</a>
					<div>
						问题描述 求指教,多处看不懂,最好能全部注释,谢谢!! public class Scaner { public static void main(String[] args) { printFile ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ryoxp.html" rel="bookmark" class="title">android-jsp页面 视频播放代码</a>
					<div>
						问题描述 jsp页面 视频播放代码 1.要求支持跨浏览器(如果是IE,需要兼容IE8等低版本): 2.需要支持手机播放(IOS或Android): 3.点击页面相应的button按钮,可以切换到相应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJXNmp.html" rel="bookmark" class="title">用python做测试实现高性能测试工具&lpar;5&rpar;&mdash;多进程写log</a>
					<div>
						在上一篇中解决了系统的性能问题,但写log又引入了问题,多进程写log会引起混乱. 查询了多进程写log 的方案, 主要有2种: 利用多进程的Queue,把log放到统一的有个log queue里面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoK27M.html" rel="bookmark" class="title">内存-在swift 中数组和字典是值类型&comma;那么问题来了</a>
					<div>
						问题描述 在swift 中数组和字典是值类型,那么问题来了 如果数组存放着大量图片,swift是值类型,将其拷贝,那内存不是吃力? OC 是直接告诉他内存地址 初学swift 如果打脸了,见谅 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEPPnM.html" rel="bookmark" class="title">VS2015开发Android同时使用RecyclerView和CardView两个组件出现错误</a>
					<div>
						问题描述 VS2015开发Android同时使用Xamarin.Android.Support.v7.RecyclerView和Xamarin.Android.Support.v7.CardView两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7d2ez.html" rel="bookmark" class="title">ios开发-有个问题想请教各位大神</a>
					<div>
						问题描述 有个问题想请教各位大神 开发-有个问题想请教各位大神-ios开发大神&quot;&gt;就是这个环信的demo里面没有显示任何的约束,所属类里面也没有相应的代码修改,但是它是怎么做到所有屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnBk1M.html" rel="bookmark" class="title">c&plus;&plus;-关于C&plus;&plus;中getline&lpar;&rpar;的使用问题：同样的代码结果不同</a>
					<div>
						问题描述 关于C++中getline()的使用问题:同样的代码结果不同 #include #include using namespace std; int main() { cout&lt;&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnQ1WM.html" rel="bookmark" class="title">参加实训好不好</a>
					<div>
						问题描述 参加实训好不好网博微软中软三家哪家好啊还有女生比较适合计算机软件哪个方向的啊 解决方案 解决方案二:去微软吧.貌似女生比较适合测试..?解决方案三:实训下也好,比你自己摸索着学习效果好得多. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNwKZp.html" rel="bookmark" class="title">让PHP开发者事半功倍的十大技巧小结&lowbar;php技巧</a>
					<div>
						如果你使用一面大镜子作为冲浪板会发生什么?或许你会在较短的时间内征服海浪,但是你肯定从内心深处明白,这不是冲浪的正确选择.同样的道理也适用于PHP编程,尽管这样的类比听起来有一些古怪.我们经常听到有人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5EOvz.html" rel="bookmark" class="title">Asp降龙十九掌</a>
					<div>
						1. 现在的日期时间命令是&lt;%=now%&gt; 即可2.ASP取得表格(from)数据输入的方法,是使用一个内置的对象(object)-Requect,它以get,post而异.3.若要自己用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYd56xb.html" rel="bookmark" class="title">国土部操刀：省市县三级试点&OpenCurlyDoubleQuote;网上卖地&rdquo;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 据财新网报道,国土资源部已于近日启动&quot;网上交易国有土地使用权&quot;试点,试点期限为一年.根据国土资源部印发的&lt;关于开展国有建设用地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA0WDp.html" rel="bookmark" class="title">程序员们必看，不要让光环效应毁了你辛辛苦苦做的软件</a>
					<div>
						如果你曾经做过程序员,即使只做了很少的一段时间,你毫无疑问的会发现这样一种令人无奈的现实情况-. 你在兴奋的为你的客户实现一个新功能.这个功能在业务逻辑上超级的复杂,但页面上却是非常的简单.这需要做大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmGB7b.html" rel="bookmark" class="title">微软云计算规划企业云部署的五个过程</a>
					<div>
						对于企业负责人来说,比较头疼的问题就是信息化的规划难题.一方面他们自己对信息化领域不是很了解,另一方面又找不到合适的信息化人才.所以不少企业在信息化管理上经常会走弯路,如重复投资等等.这很大一部分原因 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
